Bug 101043 - LO52rc3 OSX: the Classification toolbar has grey, not theme adjusting background
Summary: LO52rc3 OSX: the Classification toolbar has grey, not theme adjusting background
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.0.1 rc
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Toolbars Classification
  Show dependency treegraph
 
Reported: 2016-07-20 20:54 UTC by Martin Srebotnjak
Modified: 2020-02-23 14:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
The Security toolbar in Slovenian UI (44.21 KB, image/png)
2016-07-20 20:54 UTC, Martin Srebotnjak
Details
TSCP toolbar problem persists, although less critical (891.06 KB, image/png)
2020-02-16 23:41 UTC, Martin Srebotnjak
Details
Fixed in current master (67.49 KB, image/png)
2020-02-23 14:25 UTC, eisa01
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2016-07-20 20:54:39 UTC
Created attachment 126331 [details]
The Security toolbar in Slovenian UI

As can be seen in the attached screenshot, on OSX the Classification toolbar has fixed light grey background around the drop-down boxes and does not readjust to theme background.
Comment 1 Alex Thurgood 2016-07-21 06:59:41 UTC
@miles : unfortunately, I have no idea how to display this toolbar. Could you explain how you display it ?
Comment 2 Alex Thurgood 2016-07-21 07:02:14 UTC
Okay, sorry, forget my question, I have found the toolbar under the Display menu, although I have no idea what it is for, I can confirm that the toolbar background colour does not match the rest of the application toolbar colour.

Confirming on

Version: 5.3.0.0.alpha0+
Build ID: 04c4fb0fa293708fd90e78c9384bb1211ebab244
Threads CPU : 2; Version de l'OS :Mac OS X 10.11.5; UI Render : par défaut; 
Locale : fr-FR (fr.UTF-8); Calc: group
Comment 3 steve -_- 2016-07-21 09:44:35 UTC
@miles: was this working as expected in previous versions and if so, which version was the last you remember this was working as expected?
Comment 4 Martin Srebotnjak 2016-07-24 14:20:55 UTC
@steve I do not know, I did not try this toolbar before; but it was only introduced a short time ago ...
Comment 5 QA Administrators 2017-09-01 11:18:39 UTC Comment hidden (obsolete)
Comment 6 Martin Srebotnjak 2017-10-08 21:21:22 UTC
So, anyone found out what is setting the background of this toolbar to a non-transparent one?
Comment 7 QA Administrators 2018-10-09 02:53:05 UTC Comment hidden (obsolete)
Comment 8 eisa01 2020-02-16 22:50:55 UTC
There's now only a TSCP Classification toolbar. That does not exhibit this problem

Version: 7.0.0.0.alpha0+
Build ID: 0cb4f304abf6f8dd6b40eb800788d2fe80581813
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 9 Martin Srebotnjak 2020-02-16 23:41:22 UTC
Created attachment 157932 [details]
TSCP toolbar problem persists, although less critical
Comment 10 Martin Srebotnjak 2020-02-16 23:43:32 UTC
IT is not true, there is still a bug here.
See for yourself - the attached screenshot of LO 6.4.1.1 with Slovenian langpack on MacOS - using a built-in Personalization green theme.

The TSCP toolbar obviously cannot overlay the theme's overlay, just displays the basic background color of the theme.

It is a bug. Should I change the bug's title?
Comment 11 eisa01 2020-02-17 21:11:45 UTC
I checked in 6.3.5.2 and there I see the same issue as attachment #2

That is not the case in latest nightly, so I would assume it's going to be fixed in 7.0

You can test that here:
https://dev-builds.libreoffice.org/daily/master/MacOSX-x86_64@tb81-TDF/current/
Comment 12 eisa01 2020-02-23 14:25:17 UTC
Created attachment 158117 [details]
Fixed in current master
Comment 13 eisa01 2020-02-23 14:25:52 UTC
Version: 7.0.0.0.alpha0+
Build ID: 0cb4f304abf6f8dd6b40eb800788d2fe80581813
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded